#!/usr/bin/env python
# encoding: utf-8
"""Call handle_formvalidate."""
from efa.scripts.participations_validate import handle_formvalidate


def add_validate_parser(subparsers, parent):
    """add parser for validate"""
    validate_parser = subparsers.add_parser(
        "validate", parents=[parent],
        help="Validate participations")
    validate_parser.set_defaults(func=handle_validate)


def handle_validate(args):
    "validate participations"
    args.datatype = "participations"
    args.clazz = "model.participation.WaskiqParticipation"
    handle_formvalidate(args, None)
