## -*- coding: utf-8 -*-
##<div class="row">
##  <div class="col-md-12">
##    <h2>${_('News')}</h2>
##    <p>${_('Important announcements.')}</p>
##  </div>
##</div>
% if s.has_role(request.user, "organisation"):
<div class="row">
  <div class="col-md-8">
    <p>Willkommen zur elektronischen Fallakte WASKIQ – Mit dieser Software ist es möglich, Ihre Teilnehmenden im Programm JUGEND STÄRKEN im Quartier zu erfassen.</p>
    <%include file="${h.get_app_location('ringo_news')+'/ringo_news/templates/newslist.mako'}"/>
    <h2>${_('Resubmissions')}</h2>
    % if not reminders and not has_erros_items and not participant_eligible_items:
      <p>${_('There are currently to reminders for any participations.')}</p>
    % endif
    % if participant_eligible_items:
    <h3>${_('participant eligible necessary')}</h3>
    <p>${_('List of participants with non eligible necessary documented. Please check the eligible necessary of these items. Participants which have no eligible necessary documented, could be deleted.')}</p>
    <table class="table table-striped table-hover table-condensed datatable-blank">
      <thead>
      <tr>
        <th>${_('Name')}</th>
      </tr>
      </thead>
      <tbody>
      % for participant in participant_eligible_items:
        <tr data-link="${request.route_path(h.get_action_routename(participant, 'update'), id=participant.id)}">
        <td class="link">
          ${participant}
        </td>
      </tr>
      % endfor
      </tbody>
    </table>
    % endif
    % if oi_missing:
        <h3>${_('Participations without outputindicators')}</h3>
        <p>${_('List of running participations without outputindicators. Please check the data of the participation and either finish the participation or adapt the planned end date.')}</p>
        <table class="table table-striped table-hover table-condensed datatable-blank">
          <thead>
          <tr>
            <th>${_('Name')}</th>
            <th>${_('Project')}</th>
            <th>${_('Planned end date')}</th>
          </tr>
          </thead>
          <tbody>
          % for participant in oi_missing:
            <tr data-link="${request.route_path(h.get_action_routename(participant, 'update'), id=participant.id)}">
            <td class="link">
              ${participant}
            </td>
            <td class="link">
              ${participant.project}
            </td>
            <td class="link">
              % if participant.planned_end_date:
                ${h.prettify(request, participant.planned_end_date)}
              % else:
                <span class="text-warning">${_('not yet specified')}</span>
              % endif
            </td>
          </tr>
          % endfor
          </tbody>
        </table>
  % endif
  % if reminders:
    <h3>${_('Exceeded planned end date')}</h3>
    <p>${_('List of running participations with an exceeded planned end date. Please check the data of the participation and either finish the participation or adapt the planned end date.')}</p>
    <table class="table table-striped table-hover table-condensed datatable-blank">
      <thead>
      <tr>
        <th>${_('Name')}</th>
        <th>${_('Project')}</th>
        <th>${_('Planned end date')}</th>
      </tr>
      </thead>
      <tbody>
      % for participant in reminders:
        <tr data-link="${request.route_path(h.get_action_routename(participant, 'update'), id=participant.id)}">
        <td class="link">
          ${participant}
        </td>
        <td class="link">
          ${participant.project}
        </td>
        <td class="link">
          % if participant.planned_end_date:
            ${h.prettify(request, participant.planned_end_date)}
          % else:
            <span class="text-warning">${_('not yet specified')}</span>
          % endif
        </td>
      </tr>
      % endfor
      </tbody>
    </table>
    % endif
    % if has_errors_items:
    <h3>${_('Post-processing is necessary')}</h3>
    <p>${_('List of participations, which include an error. The reason for this may be modified rule checks or newly added mandatory fields. Please check the details in the participation and fix errors. The errors are highlighted in red in the participation.')}</p>
    <table class="table table-striped table-hover table-condensed datatable-blank">
      <thead>
      <tr>
        <th>${_('Name')}</th>
        <th>${_('Project')}</th>
      </tr>
      </thead>
      <tbody>
      % for participant in has_errors_items:
        <tr data-link="${request.route_path(h.get_action_routename(participant, 'update'), id=participant.id)}">
        <td class="link">
          ${participant}
        </td>
        <td class="link">
          ${participant.project}
        </td>
      </tr>
      % endfor
      </tbody>
    </table>
    % endif
  </div>
</div>
% else:
<div style="margin-top:10px;padding:5px;background-color:#F5F5F5;color:#777;text-align:center;">
  <i>
    Willkommen zur elektronischen Fallakte WASKIQ – Mit dieser Software ist es möglich, Ihre Teilnehmenden im Programm JUGEND STÄRKEN im Quartier zu erfassen.
  </i>
</div>
<div class="row">
  <div class="col-md-12">
    <%include file="${h.get_app_location('ringo_news')+'/ringo_news/templates/newslist.mako'}"/>
  </div>
</div>
% endif
