# encoding: utf-8

from pyramid.view import view_config

from ringo.lib.helpers import get_action_routename
from ringo.views.base import update as ringo_update
from ringo.views.helpers import get_item_from_request

from waskiq.model.outputindicator import WaskiqOutputindicator


@view_config(route_name=get_action_routename(WaskiqOutputindicator, 'update'),
             renderer='/default/update.mako',
             permission='update')
def update_(request):
    if request.POST:
        item = get_item_from_request(request)
        item.status = None
    return ringo_update(request)
