# -*- coding: utf-8 -*-
"""initial migration for waskiq 1.2

Revision ID: 52503655354a
Revises: None
Create Date: 2015-09-08 16:39:06.012352

"""

# revision identifiers, used by Alembic.
revision = '52503655354a'
down_revision = None

from alembic import op
import sqlalchemy as sa


INSERTS = u"""
INSERT INTO usergroups (uuid, id, name, description, gid, uid) VALUES ('bbffb322d05b4d5f90926d2e09b1d9ff', 1, 'users', '', 2, NULL);
INSERT INTO usergroups (uuid, id, name, description, gid, uid) VALUES ('ab34ba22d05b4d5f90926d2e09b1d9ff', 2, 'beneficiarys', '', 2, NULL);
INSERT INTO modules (uuid, id, name, clazzpath, label, label_plural, description, str_repr, display, default_gid) VALUES ('3d15826c10ec4a6b8ced67ebf090e661', 1, 'modules', 'ringo.model.modul.ModulItem', 'Modul', 'Module', '', '%s|name', 'admin-menu', NULL);
INSERT INTO modules (uuid, id, name, clazzpath, label, label_plural, description, str_repr, display, default_gid) VALUES ('80173cfb4b66417a938fe8513939f211', 2, 'actions', 'ringo.model.modul.ActionItem', 'Aktion', 'Aktionen', '', '%s (%s/%s)|name,modul,url', 'admin-menu', NULL);
INSERT INTO modules (uuid, id, name, clazzpath, label, label_plural, description, str_repr, display, default_gid) VALUES ('b952e2d2d4b542e4a9f8c55ccd64b65f', 3, 'users', 'ringo.model.user.User', 'Konto', 'Konten', '', '%s|login', 'admin-menu', 2);
INSERT INTO modules (uuid, id, name, clazzpath, label, label_plural, description, str_repr, display, default_gid) VALUES ('c8579b5f197b4d548a0809bc88485a13', 4, 'usergroups', 'ringo.model.user.Usergroup', 'Gruppe', 'Gruppen', '', '%s|name', 'admin-menu', 2);
INSERT INTO modules (uuid, id, name, clazzpath, label, label_plural, description, str_repr, display, default_gid) VALUES ('1aa4d14dd56146b58018792a6fb6567c', 5, 'roles', 'ringo.model.user.Role', 'Role', 'Rollen', '', '%s|label', 'admin-menu', 2);
INSERT INTO modules (uuid, id, name, clazzpath, label, label_plural, description, str_repr, display, default_gid) VALUES ('f210e3848366463296d17a74a18568b1', 6, 'profiles', 'ringo.model.user.Profile', 'Profil', 'Profile', '', '%s %s|first_name,last_name', 'admin-menu', NULL);
INSERT INTO modules (uuid, id, name, clazzpath, label, label_plural, description, str_repr, display, default_gid) VALUES ('d79270c9289244f5a4d397e8490d053e', 14, 'forms', 'ringo.model.form.Form', 'Formular', 'Formulare', '', '%s|title', 'admin-menu', NULL);
INSERT INTO modules (uuid, id, name, clazzpath, label, label_plural, description, str_repr, display, default_gid) VALUES ('ac2bdc7813304ed0a1f3ca054c0a90f9', 1000, 'participants', 'efa.model.participant.Participant', 'Teilnehmer/in', 'Teilnehmende', '', '%s %s|forename,surname', 'header-menu', NULL);
INSERT INTO modules (uuid, id, name, clazzpath, label, label_plural, description, str_repr, display, default_gid) VALUES ('02212bcbaeb348f2aada1da1716ca787', 1001, 'participations', 'waskiq.model.participation.WaskiqParticipation', 'Teilnahme', 'Teilnahmen', '', '%s|participant', 'header-menu', NULL);
INSERT INTO modules (uuid, id, name, clazzpath, label, label_plural, description, str_repr, display, default_gid) VALUES ('e217087178b54c94923fa8c422c4d301', 1002, 'projects', 'waskiq.model.project.WaskiqProject', 'Projekt', 'Projekte', '', '%s|name', 'header-menu', NULL);
INSERT INTO modules (uuid, id, name, clazzpath, label, label_plural, description, str_repr, display, default_gid) VALUES ('e6967dc492a542909f9e5008515ddc33', 1003, 'operations', 'efa.model.operation.Operation', 'Förderprogramm', 'Förderprogramme', '', '%s|name', 'admin-menu', NULL);
INSERT INTO modules (uuid, id, name, clazzpath, label, label_plural, description, str_repr, display, default_gid) VALUES ('7f0e67abb84544a69a300eadd8d45164', 1004, 'organisations', 'efa.model.organisation.Organisation', 'Träger', 'Träger', '', '%s|name', 'header-menu', NULL);
INSERT INTO modules (uuid, id, name, clazzpath, label, label_plural, description, str_repr, display, default_gid) VALUES ('043910b1d31b4ea08da3266708268525', 1005, 'beneficiarys', 'efa.model.beneficiary.Beneficiary', 'Kommune', 'Kommunen', '', '%s|name', 'admin-menu', 1);
INSERT INTO modules (uuid, id, name, clazzpath, label, label_plural, description, str_repr, display, default_gid) VALUES ('9e8331483b3447a095dcdf8c85e73516', 1006, 'outputindicators', 'waskiq.model.outputindicator.WaskiqOutputindicator', 'Outputindikatoren', 'Outputindikatoren', '', '%s|participation', 'hidden', NULL);
INSERT INTO modules (uuid, id, name, clazzpath, label, label_plural, description, str_repr, display, default_gid) VALUES ('9e1909483b3447a095dcdf8c85e73516', 1007, 'resultindicators', 'efa.model.resultindicators.ResultIndicators', 'Ergebnisindikatoren', 'Ergebnisindikatoren', '', '%s|participation', 'none', NULL);
INSERT INTO modules (uuid, id, name, clazzpath, label, label_plural, description, str_repr, display, default_gid) VALUES ('89ef5e03abab4beea434a6c5f51482b9', 2000, 'contacts', 'ringo_contact.model.Contact', 'Kontakt', 'Kontakte', '', '%s %s|first_name,last_name', 'user-menu', NULL);
INSERT INTO modules (uuid, id, name, clazzpath, label, label_plural, description, str_repr, display, default_gid) VALUES ('4a242fff1ed342bd95e2032b078823d5', 2001, 'baustein_cms', 'waskiq.model.baustein_cm.BausteinCM', 'Baustein CM', 'Bausteine CM', '', '%s|participation', 'none', NULL);
INSERT INTO modules (uuid, id, name, clazzpath, label, label_plural, description, str_repr, display, default_gid) VALUES ('df4df966eba2494dbce25df26f21c1e9', 2002, 'baustein_mps', 'waskiq.model.baustein_mp.BausteinMP', 'Baustein Mikroprojekt', 'Bausteine Mikroprojekt', '', '%s|participation', 'none', NULL);
INSERT INTO modules (uuid, id, name, clazzpath, label, label_plural, description, str_repr, display, default_gid) VALUES ('84a94c82e6574fca81593fed9f06a93f', 2003, 'baustein_clearings', 'waskiq.model.baustein_clearing.BausteinClearing', 'Baustein Beratung/Clearing', 'Bausteine Beratung/Clearing', '', '%s|participation', 'none', NULL);
INSERT INTO modules (uuid, id, name, clazzpath, label, label_plural, description, str_repr, display, default_gid) VALUES ('130aacca272b11e5afef001f29e71d12', 2005, 'baustein_jsas', 'waskiq.model.baustein_jsa.BausteinJSA', 'Baustein Jugendsozialarbeit', 'Bausteine Jugensozialarbeit', '', '%s|participation', 'none', NULL);
INSERT INTO modules (uuid, id, name, clazzpath, label, label_plural, description, str_repr, display, default_gid) VALUES ('be921101a93f419583f71e5ec66bbfb3', 2004, 'journals', 'efa.model.journal.Journal', 'Tagebuch', 'Tagebücher', '', '%s %s|participation,date', 'none', NULL);
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('701f3c822bca409a9dc51cd8ca220273', 1, 1, 'List', 'list', 'icon-list-alt', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('2459c3d4a22a44fa8eaf8e87880a4413', 2, 1, 'Read', 'read/{id}', 'icon-eye-open', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('5722c806f9594c8680e10d12e529e3c1', 3, 1, 'Update', 'update/{id}', 'icon-edit', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('bff4ed4fb2a2498f870fbfe71a4f98b6', 4, 3, 'List', 'list', 'icon-list-alt', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('529a765fd7824107b3b4428696002d7c', 5, 3, 'Create', 'create', ' icon-plus', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('59c6c08507ef467a8593175fb1606da5', 6, 3, 'Read', 'read/{id}', 'icon-eye-open', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('5516d66e897541f59ebf5d493dcc99e3', 7, 3, 'Update', 'update/{id}', 'icon-edit', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('730411b9d2ac47f28fbb7fd6ea1bf615', 8, 3, 'Delete', 'delete/{id}', 'icon-trash', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('0628244f637e4d2599eeb7fa013c5849', 9, 4, 'List', 'list', 'icon-list-alt', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('a3cd49807aba46c1905c64ec2fcbcf53', 10, 4, 'Create', 'create', ' icon-plus', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('f3e121753d7b463f84b51ab3ba84fb80', 11, 4, 'Read', 'read/{id}', 'icon-eye-open', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('317e1c3fb1e84d12a622b671ee365f8f', 12, 4, 'Update', 'update/{id}', 'icon-edit', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('b896e56b2cb64c828761cb59d1e7b6e8', 13, 4, 'Delete', 'delete/{id}', 'icon-trash', '', true, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('643b93b6b1aa40319f5850c902789890', 14, 5, 'List', 'list', 'icon-list-alt', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('e42ab7ef9217455a945b9ba98c710fd1', 15, 5, 'Create', 'create', ' icon-plus', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('96197fd5feaa4d8da4424cdf07a415bb', 16, 5, 'Read', 'read/{id}', 'icon-eye-open', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('af7f58ebcde8422e9d0ab042b2ca2da1', 17, 5, 'Update', 'update/{id}', 'icon-edit', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('bfe1a72fb73742c2b1b567eb27a9dea2', 18, 5, 'Delete', 'delete/{id}', 'icon-trash', '', true, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('c07d48fb0e444563af4d70f470b4569b', 19, 6, 'List', 'list', 'icon-list-alt', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('f9eb2f0a7bcc487ea018c34b07903cf3', 20, 6, 'Read', 'read/{id}', 'icon-eye-open', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('5de4c159ebdc454998888b3f2f8cb42e', 21, 6, 'Update', 'update/{id}', 'icon-edit', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('4159faa181124baa9ffc7978e150466a', 63, 2, 'Export', 'export/{id}', 'icon-export', '', true, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('d5482eb33a1247caa7c2c458b56ad5b7', 64, 2, 'Import', 'import', 'icon-import', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('69f7e83621cf45db8b408a8f55dfbed3', 65, 3, 'Export', 'export/{id}', 'icon-export', '', true, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('fcb0969ed0ba4e3ba4311deae82e7221', 66, 3, 'Import', 'import', 'icon-import', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('8eab094eb9a0460b81f18fac9423308f', 67, 4, 'Export', 'export/{id}', 'icon-export', '', true, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('ef3bdc3177b74c3c8b3d20d78ef15621', 68, 4, 'Import', 'import', 'icon-import', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('c938c296e46746288da83a7c90c9c924', 69, 5, 'Export', 'export/{id}', 'icon-export', '', true, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('41fdfb95135f440289c30036ab5b2046', 70, 5, 'Import', 'import', 'icon-import', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('6769fa95ad9a476eb4a935ee4a214c13', 89, 14, 'List', 'list', 'icon-list-alt', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('5c8837e9dff044039337ed6ee8bed4c8', 90, 14, 'Create', 'create', ' icon-plus', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('9aa7555134ad428eb13b339901e8d20b', 91, 14, 'Read', 'read/{id}', 'icon-eye-open', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('76b20787695449469db29029360fb13f', 92, 14, 'Update', 'update/{id}', 'icon-edit', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('a78d66a9f4454d1a9fe3b4bfc2dae961', 93, 14, 'Delete', 'delete/{id}', 'icon-trash', '', true, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('eb18f37c832b45d79897f6f169a66e05', 94, 14, 'Import', 'import', 'icon-import', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('81c0f8dcbe34452fb19f8eb39110db1f', 95, 14, 'Export', 'export/{id}', 'icon-export', '', true, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('cde3a2f38e854d46a7eecb3667dcff69', 104, 6, 'Export', 'export/{id}', 'icon-export', '', true, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('fc20884b8be14728823bbd8770717c92', 105, 6, 'Import', 'import', 'icon-import', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('27249350d22441e180a561ee10aad51a', 106, 1000, 'List', 'list', 'icon-list-alt', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('df91d2cb18214bc08e40dc9284ee1bbd', 107, 1000, 'Create', 'create', 'icon-plus', '', false, 'hide', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('5fe8f1e477aa4d1aa45e5cfa74414cd9', 108, 1000, 'Read', 'read/{id}', 'icon-eye-open', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('7adf8900fc584928a249b5708eb9ecdc', 109, 1000, 'Update', 'update/{id}', 'icon-edit', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('dadef0f46e9b4b93995080cfae6b35ea', 110, 1000, 'Delete', 'delete/{id}', 'icon-eye-delete', '', true, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('cd8e165664d1413ca52f0470efff6591', 111, 1000, 'Import', 'import', 'icon-import', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('db7768a87709491ab979c8f1f878fcf9', 112, 1000, 'Export', 'export/{id}', 'icon-export', '', true, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('2de6ba14cf5e42d6af5c8ae9c89791e6', 113, 1001, 'List', 'list', 'icon-list-alt', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('41cc2ffa262a4267959f419ee73d0a25', 114, 1001, 'Create', 'create', 'icon-plus', '', false, 'hide', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('ba4837df8e3c4650ab611c140f54c261', 115, 1001, 'Read', 'read/{id}', 'icon-eye-open', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('ef5c0b0d8c3b49a9bcca78cbb1c0dab2', 116, 1001, 'Update', 'update/{id}', 'icon-edit', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('f2e391d8f58244918d1cbbb76eff1ed0', 117, 1001, 'Delete', 'delete/{id}', 'icon-eye-delete', '', true, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('fa0cc979de28407793a4b7044b448f83', 118, 1001, 'Import', 'import', 'icon-import', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('82f35e51f6274f608a9ad3fe86ea15c9', 119, 1001, 'Export', 'export/{id}', 'icon-export', '', true, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('bec2a2be79c74b0cb34241de0aed4148', 120, 1002, 'List', 'list', 'icon-list-alt', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('7f9864eb5d9044d6a0e2e45377720aa5', 121, 1002, 'Create', 'create', 'icon-plus', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('b065c0a94923425e80ae303499d1b44f', 122, 1002, 'Read', 'read/{id}', 'icon-eye-open', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('856fa63334c043089abd963aa573f0d8', 123, 1002, 'Update', 'update/{id}', 'icon-edit', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('39037d711ca54522ad791169a9e290ac', 124, 1002, 'Delete', 'delete/{id}', 'icon-eye-delete', '', true, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('65e8d586e7cd46c3923138544576e916', 125, 1002, 'Import', 'import', 'icon-import', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('96d0a22110dd4493928a66a7df74b698', 126, 1002, 'Export', 'export/{id}', 'icon-export', '', true, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('f4c42431cd9244d39009ca49d7e09850', 127, 1003, 'List', 'list', 'icon-list-alt', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('a517ddf32a74466b88296b776dabd0bd', 128, 1003, 'Create', 'create', 'icon-plus', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('222d76a91a754608a853d7c75de95f23', 129, 1003, 'Read', 'read/{id}', 'icon-eye-open', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('6ac88343e1e34dcc800d9470a6fc6096', 130, 1003, 'Update', 'update/{id}', 'icon-edit', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('c44e589de1f4427da7dce4a4649a1f13', 131, 1003, 'Delete', 'delete/{id}', 'icon-eye-delete', '', true, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('e26cff0bdbb64ca6aaf48db2e4f3c948', 132, 1003, 'Import', 'import', 'icon-import', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('ed1971d9ac4f48a0a9cc367bad7fb4ac', 133, 1003, 'Export', 'export/{id}', 'icon-export', '', true, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('954cddbc4d344995bb6123948cfb4cf4', 134, 1004, 'List', 'list', 'icon-list-alt', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('b0d0a48aa22241d481b1c8937d137e5b', 135, 1004, 'Create', 'create', 'icon-plus', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('bb446ca7f157422cb529fa8bfd69db12', 136, 1004, 'Read', 'read/{id}', 'icon-eye-open', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('2c581ae4cd86433098438e51073b44d5', 137, 1004, 'Update', 'update/{id}', 'icon-edit', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('73b3dffdca8c4ab6a2d886dbb42ed9a8', 138, 1004, 'Delete', 'delete/{id}', 'icon-eye-delete', '', true, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('7afe126d03354a29a5b9dd59f45d6b23', 139, 1004, 'Import', 'import', 'icon-import', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('3230b9daa46346a080d34339314871e8', 140, 1004, 'Export', 'export/{id}', 'icon-export', '', true, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('638a0af51185451db1df71d439f23049', 141, 1005, 'List', 'list', 'icon-list-alt', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('3436ca51641a41d486d13a64e0b403b8', 142, 1005, 'Create', 'create', 'icon-plus', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('1cc24f0407234a0f9e3f608338cae03a', 143, 1005, 'Read', 'read/{id}', 'icon-eye-open', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('f3a3f8c20470459d86f4b3e1216aee53', 144, 1005, 'Update', 'update/{id}', 'icon-edit', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('15bb1d9c3ce04ba699896b13ab0184df', 145, 1005, 'Delete', 'delete/{id}', 'icon-eye-delete', '', true, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('8e2ab2545e8b4e36aaa514de3c7735bc', 146, 1005, 'Import', 'import', 'icon-import', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('3e3e44976e834212abddf351d738bf6d', 147, 1005, 'Export', 'export/{id}', 'icon-export', '', true, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('ad3a1eb7f8394a509c9d33876973c194', 148, 2000, 'Read', 'read/{id}', 'icon-eye-open', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('d4f128ad29064228b0a3e28361453062', 149, 2000, 'Create', 'create', ' icon-plus', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('ccb9f51ad9094d6ba7bb21b2c59504e6', 150, 2000, 'List', 'list', 'icon-list-alt', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('e4898f8de2204bc5aacfa03f187fb6ff', 151, 2000, 'Update', 'update/{id}', 'icon-edit', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('97033db313fb4f3da852459b4e71d389', 152, 2000, 'Delete', 'delete/{id}', 'icon-trash', '', true, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('ff5752769559403ebd04a6d76bedd254', 153, 1000, 'Search', 'search', 'icon-plus', 'Neuen Eintrag anlegen', false, 'primary', 'list');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('e98750e8680b4bb184f64c7fcf57ff87', 154, 2001, 'List', 'list', 'icon-list-alt', '', false, 'hide', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('247f068a51554dc4855338a521448baf', 155, 2001, 'Create', 'create', 'icon-plus', '', false, 'hide', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('dc34126008e144f095c3afe0d98038c9', 156, 2001, 'Read', 'read/{id}', 'icon-eye-open', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('ecd5409fad434421b04a1272bc3b2b7a', 157, 2001, 'Update', 'update/{id}', 'icon-edit', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('59d3ea398bfa4e18ade020e794bd3a49', 158, 2001, 'Delete', 'delete/{id}', 'icon-eye-delete', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('c8f9460765a240109111ffa912fd0a48', 159, 2001, 'Import', 'import', 'icon-import', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('b294ca2b936d4bca90816a3d6e3abbed', 160, 2001, 'Export', 'export/{id}', 'icon-export', '', true, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('18bec72eb3f84e1ebe2812873af39758', 161, 2002, 'List', 'list', 'icon-list-alt', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('06c4b0f6cfd14974b71ed62b84c4bd01', 162, 2002, 'Create', 'create', 'icon-plus', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('854a96892f32445795da547b606701cd', 163, 2002, 'Read', 'read/{id}', 'icon-eye-open', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('daa6e00435e64cc98a3aed1aabf3dfa7', 164, 2002, 'Update', 'update/{id}', 'icon-edit', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('36015ff373df477da2f5aa2b464ff536', 165, 2002, 'Delete', 'delete/{id}', 'icon-eye-delete', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('b1587435f4164e038aaf2e8630dd38ea', 166, 2002, 'Import', 'import', 'icon-import', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('95dcd5558c324e20b368e238774739f7', 167, 2002, 'Export', 'export/{id}', 'icon-export', '', true, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('f232c621262a45c3add10b1e196eed0c', 169, 1006, 'List', 'list', 'icon-list-alt', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('c1a0ec4d728e4242afa0ec20d8983220', 170, 1006, 'Create', 'create', 'icon-plus', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('c01ec5d3427d47558b3136028c7147ce', 171, 1006, 'Read', 'read/{id}', 'icon-eye-open', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('c3416cd42f144b67ac440de865fc9128', 172, 1006, 'Update', 'update/{id}', 'icon-edit', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('9abfbcaf24ba4335a009d157bcbff1e1', 173, 1006, 'Delete', 'delete/{id}', 'icon-eye-delete', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('342518c141064b06aa906a476febc04e', 174, 1006, 'Import', 'import', 'icon-import', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('53b8392a2d1345cf8db8e1fd82b08517', 175, 1006, 'Export', 'export/{id}', 'icon-export', '', true, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('87b8392a2d1345cf8db8e1fd82b08517', 176, 1001, 'AddOI', 'addoi/{id}', 'icon-plus', '', false, 'hide', 'update');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('f933267632ba40b59c85c3a970358d20', 177, 2003, 'List', 'list', 'icon-list-alt', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('32dc8403791e4cfab6c300d98ec8fdce', 178, 2003, 'Create', 'create', 'icon-plus', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('77747de3cd4e45c0b7fdd8c2c96144aa', 179, 2003, 'Read', 'read/{id}', 'icon-eye-open', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('27951d3ba4ae4126965897e1530ebe06', 180, 2003, 'Update', 'update/{id}', 'icon-edit', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('e072e5cac5dd4d3fb3c8f2cbd48515af', 181, 2003, 'Delete', 'delete/{id}', 'icon-eye-delete', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('7083085ba7f94966934dd2d30ee8982a', 182, 2003, 'Import', 'import', 'icon-import', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('797cfaa37329498f9dbd4b9e1f4a274b', 183, 2003, 'Export', 'export/{id}', 'icon-export', '', true, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('7867cb9c6d234fc8aff70ae370df34e8', 184, 2004, 'Create', 'create', 'icon-plus', '', false, 'hide', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('cdf6e265cbcf4c4eb6dea9e3c922e924', 185, 2004, 'Read', 'read/{id}', 'icon-eye-open', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('0887ab6110ae4e299345191ae1fb9c10', 186, 2004, 'Update', 'update/{id}', 'icon-edit', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('5371abd4fec34cd4bea00cf868f1eb6a', 187, 2004, 'Delete', 'delete/{id}', 'icon-eye-delete', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('74bb9b0d3f7646dc8f82b5871b5721a6', 188, 2004, 'List', 'list', 'icon-list-alt', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('a8419453ac3f43ed9be8e182a798e18b', 189, 2004, 'Import', 'import', 'icon-import', '', false, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('a680585fe4a84a96bf92fa13a0232c91', 190, 2004, 'Export', 'export/{id}', 'icon-export', '', true, 'primary', '');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('a0ab585fe4a84a96bf92fa13a0232c91', 191, 3, 'Transfer', 'transfer/{id}', 'icon-export', 'Übertrage Teilnahmen', false, 'hide', 'update');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('a0ab1909fe4a8a96bf92fa13a0232c91', 192, 3, 'Waskiq-Transfer', 'waskiq-transfer/{id}', 'icon-export', 'Übertrage Teilnahmen', false, 'extended', 'update');
INSERT INTO actions (uuid, id, mid, name, url, icon, description, bundle, display, permission) VALUES ('fcb0969ed0ba4e3ba4311deae82e722f', 193, 3, 'Change Password', 'change_password/{id}', '', 'Change Password', false, 'secondary', 'update');
INSERT INTO roles (uuid, id, label, name, description, admin, gid, uid) VALUES ('c3d02c665a7d43959b4d6a54f897aa1e', 2, 'Nutzer/in', 'user', '', false, 2, NULL);
INSERT INTO roles (uuid, id, label, name, description, admin, gid, uid) VALUES ('44ed028e97a445258161500df331c32b', 3, 'Träger', 'organisation', '', false, 2, NULL);
INSERT INTO roles (uuid, id, label, name, description, admin, gid, uid) VALUES ('18033d1aca124a4aa4f36f55974a9b0f', 4, 'Kommune', 'beneficiary', '', true, 2, NULL);
INSERT INTO roles (uuid, id, label, name, description, admin, gid, uid) VALUES ('d16c302ea42c4c34956f5b4eecacf190', 5, 'Kontenadministration', 'useradmin', '', false, 2, NULL);
INSERT INTO roles (uuid, id, label, name, description, admin, gid, uid) VALUES ('e649652e588049cca2bb5c2ba364e043', 1, 'Administration', 'admin', '', true, NULL, NULL);
INSERT INTO nm_action_roles (aid, rid) VALUES (20, 2);
INSERT INTO nm_action_roles (aid, rid) VALUES (21, 2);
INSERT INTO nm_action_roles (aid, rid) VALUES (106, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (107, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (108, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (109, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (113, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (114, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (115, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (116, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (120, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (122, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (136, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (143, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (148, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (150, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (153, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (155, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (156, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (157, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (162, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (163, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (164, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (170, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (171, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (172, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (176, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (178, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (179, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (180, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (184, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (185, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (186, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (187, 3);
INSERT INTO nm_action_roles (aid, rid) VALUES (120, 4);
INSERT INTO nm_action_roles (aid, rid) VALUES (121, 4);
INSERT INTO nm_action_roles (aid, rid) VALUES (122, 4);
INSERT INTO nm_action_roles (aid, rid) VALUES (123, 4);
INSERT INTO nm_action_roles (aid, rid) VALUES (124, 4);
INSERT INTO nm_action_roles (aid, rid) VALUES (129, 4);
INSERT INTO nm_action_roles (aid, rid) VALUES (130, 4);
INSERT INTO nm_action_roles (aid, rid) VALUES (134, 4);
INSERT INTO nm_action_roles (aid, rid) VALUES (135, 4);
INSERT INTO nm_action_roles (aid, rid) VALUES (136, 4);
INSERT INTO nm_action_roles (aid, rid) VALUES (137, 4);
INSERT INTO nm_action_roles (aid, rid) VALUES (138, 4);
INSERT INTO nm_action_roles (aid, rid) VALUES (143, 4);
INSERT INTO nm_action_roles (aid, rid) VALUES (144, 4);
INSERT INTO nm_action_roles (aid, rid) VALUES (148, 4);
INSERT INTO nm_action_roles (aid, rid) VALUES (149, 4);
INSERT INTO nm_action_roles (aid, rid) VALUES (150, 4);
INSERT INTO nm_action_roles (aid, rid) VALUES (151, 4);
INSERT INTO nm_action_roles (aid, rid) VALUES (152, 4);
INSERT INTO nm_action_roles (aid, rid) VALUES (4, 5);
INSERT INTO nm_action_roles (aid, rid) VALUES (5, 5);
INSERT INTO nm_action_roles (aid, rid) VALUES (6, 5);
INSERT INTO nm_action_roles (aid, rid) VALUES (7, 5);
INSERT INTO nm_action_roles (aid, rid) VALUES (8, 5);
INSERT INTO nm_action_roles (aid, rid) VALUES (9, 5);
INSERT INTO nm_action_roles (aid, rid) VALUES (10, 5);
INSERT INTO nm_action_roles (aid, rid) VALUES (11, 5);
INSERT INTO nm_action_roles (aid, rid) VALUES (12, 5);
INSERT INTO nm_action_roles (aid, rid) VALUES (13, 5);
INSERT INTO nm_action_roles (aid, rid) VALUES (16, 5);
INSERT INTO nm_action_roles (aid, rid) VALUES (19, 5);
INSERT INTO nm_action_roles (aid, rid) VALUES (20, 5);
INSERT INTO nm_action_roles (aid, rid) VALUES (21, 5);
INSERT INTO nm_action_roles (aid, rid) VALUES (192, 5);
INSERT INTO nm_action_roles (aid, rid) VALUES (193, 5);
"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.create_table('contacts',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('updated', sa.DateTime(), nullable=True),
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('title', sa.String(), nullable=False),
    sa.Column('first_name', sa.String(), nullable=False),
    sa.Column('last_name', sa.String(), nullable=False),
    sa.Column('organisation', sa.String(), nullable=False),
    sa.Column('role', sa.String(), nullable=False),
    sa.Column('birtday', sa.Date(), nullable=True),
    sa.Column('gender', sa.Integer(), nullable=True),
    sa.Column('postalcode', sa.String(), nullable=False),
    sa.Column('city', sa.String(), nullable=False),
    sa.Column('street', sa.String(), nullable=False),
    sa.Column('phone', sa.String(), nullable=False),
    sa.Column('fax', sa.String(), nullable=False),
    sa.Column('email', sa.String(), nullable=False),
    sa.Column('url', sa.String(), nullable=False),
    sa.Column('note', sa.Text(), nullable=False),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_contacts_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_contacts_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('operations',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('updated', sa.DateTime(), nullable=True),
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('start_date', sa.Date(), nullable=True),
    sa.Column('end_date', sa.Date(), nullable=True),
    sa.Column('name', sa.String(), nullable=False),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_operations_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_operations_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('user_settings',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('settings', sa.Text(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('participants',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('updated', sa.DateTime(), nullable=True),
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('forename', sa.String(), nullable=False),
    sa.Column('surname', sa.String(), nullable=False),
    sa.Column('email', sa.String(), nullable=False),
    sa.Column('birthname', sa.String(), nullable=False),
    sa.Column('phone', sa.String(), nullable=False),
    sa.Column('address_postalcode', sa.String(), nullable=False),
    sa.Column('address_city', sa.String(), nullable=False),
    sa.Column('address_street', sa.String(), nullable=False),
    sa.Column('notes', sa.Text(), nullable=False),
    sa.Column('birthday', sa.Date(), nullable=False),
    sa.Column('gender', sa.Integer(), nullable=False),
    sa.Column('personal_id', sa.String(length=40), nullable=False),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_participants_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_participants_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('personal_id'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('usergroups',
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(), nullable=False),
    sa.Column('description', sa.String(), nullable=False),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_usergroups_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_usergroups_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('name'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('profiles',
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('first_name', sa.String(), nullable=True),
    sa.Column('last_name', sa.String(), nullable=True),
    sa.Column('gender', sa.Integer(), nullable=True),
    sa.Column('birthday', sa.Date(), nullable=True),
    sa.Column('address', sa.Text(), nullable=True),
    sa.Column('phone', sa.String(), nullable=True),
    sa.Column('email', sa.String(), nullable=True),
    sa.Column('web', sa.String(), nullable=True),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_profiles_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_profiles_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('versions',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('values', sa.Text(), nullable=False),
    sa.Column('author', sa.String(), nullable=False),
    sa.Column('date', sa.DateTime(), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('roles',
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('label', sa.String(), nullable=False),
    sa.Column('name', sa.String(), nullable=False),
    sa.Column('description', sa.Text(), nullable=False),
    sa.Column('admin', sa.Boolean(), nullable=True),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_roles_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_roles_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('label'),
    sa.UniqueConstraint('name'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('beneficiarys',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('updated', sa.DateTime(), nullable=True),
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(), nullable=False),
    sa.Column('phone', sa.String(), nullable=False),
    sa.Column('fax', sa.String(), nullable=False),
    sa.Column('email', sa.String(), nullable=False),
    sa.Column('address_city', sa.String(), nullable=False),
    sa.Column('address_postal', sa.String(), nullable=False),
    sa.Column('address_street', sa.String(), nullable=False),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_beneficiarys_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_beneficiarys_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('projects',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('updated', sa.DateTime(), nullable=True),
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('operation_id', sa.Integer(), nullable=True),
    sa.Column('start_date', sa.Date(), nullable=True),
    sa.Column('end_date', sa.Date(), nullable=True),
    sa.Column('name', sa.String(), nullable=False),
    sa.Column('objective_women_participation', sa.Integer(), nullable=True),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.Column('mikroprojekt', sa.String(), nullable=False),
    sa.Column('bausteine', sa.String(), nullable=False),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_projects_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['operation_id'], ['operations.id'], ),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_projects_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('name'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('nm_participant_versions',
    sa.Column('iid', sa.Integer(), nullable=True),
    sa.Column('vid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['iid'], [u'participants.id'], ),
    sa.ForeignKeyConstraint(['vid'], ['versions.id'], )
    )
    op.create_table('users',
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('login', sa.String(), nullable=False),
    sa.Column('password', sa.String(), nullable=False),
    sa.Column('activated', sa.Boolean(), nullable=True),
    sa.Column('activation_token', sa.String(), nullable=False),
    sa.Column('default_gid', sa.Integer(), nullable=True),
    sa.Column('sid', sa.Integer(), nullable=True),
    sa.Column('last_login', sa.DateTime(), nullable=True),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['default_gid'], ['usergroups.id'], ),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_users_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['sid'], ['user_settings.id'], ),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_users_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('login'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('modules',
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(), nullable=False),
    sa.Column('clazzpath', sa.String(), nullable=False),
    sa.Column('label', sa.String(), nullable=False),
    sa.Column('label_plural', sa.String(), nullable=False),
    sa.Column('description', sa.Text(), nullable=False),
    sa.Column('str_repr', sa.String(), nullable=False),
    sa.Column('display', sa.String(), nullable=False),
    sa.Column('default_gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['default_gid'], ['usergroups.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('clazzpath'),
    sa.UniqueConstraint('name'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('organisations',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('updated', sa.DateTime(), nullable=True),
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(), nullable=False),
    sa.Column('phone', sa.String(), nullable=False),
    sa.Column('fax', sa.String(), nullable=False),
    sa.Column('email', sa.String(), nullable=False),
    sa.Column('address_city', sa.String(), nullable=False),
    sa.Column('address_postal', sa.String(), nullable=False),
    sa.Column('address_street', sa.String(), nullable=False),
    sa.Column('beneficiary_id', sa.Integer(), nullable=True),
    sa.Column('entity_type', sa.Integer(), nullable=True),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['beneficiary_id'], ['beneficiarys.id'], ),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_organisations_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_organisations_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('name'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('nm_beneficiary_contacts',
    sa.Column('beneficiary_id', sa.Integer(), nullable=True),
    sa.Column('contact_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['beneficiary_id'], [u'beneficiarys.id'], ),
    sa.ForeignKeyConstraint(['contact_id'], ['contacts.id'], )
    )
    op.create_table('nm_user_usergroups',
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], ),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], )
    )
    op.create_table('password_reset_requests',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('token', sa.String(), nullable=True),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('participant_search_counter',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('count', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['id'], ['users.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('nm_organisation_contacts',
    sa.Column('organisation_id', sa.Integer(), nullable=True),
    sa.Column('contact_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['contact_id'], ['contacts.id'], ),
    sa.ForeignKeyConstraint(['organisation_id'], [u'organisations.id'], )
    )
    op.create_table('participations',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('updated', sa.DateTime(), nullable=True),
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('participant_id', sa.Integer(), nullable=True),
    sa.Column('project_id', sa.Integer(), nullable=False),
    sa.Column('start_date', sa.Date(), nullable=True),
    sa.Column('end_date', sa.Date(), nullable=True),
    sa.Column('number_of_breaks', sa.Integer(), nullable=True),
    sa.Column('internal_id', sa.String(length=40), nullable=False),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.Column('baustein', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_participations_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['participant_id'], ['participants.id'], ),
    sa.ForeignKeyConstraint(['project_id'], ['projects.id'], ),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_participations_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('nm_organisation_user',
    sa.Column('organisation_id', sa.Integer(), nullable=False),
    sa.Column('user_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['organisation_id'], ['organisations.id'], ),
    sa.ForeignKeyConstraint(['user_id'], ['users.id'], ),
    sa.UniqueConstraint('user_id')
    )
    op.create_table('forms',
    sa.Column('created', sa.DateTime(), nullable=True),
    sa.Column('updated', sa.DateTime(), nullable=True),
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('review_state_id', sa.Integer(), nullable=True),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('category', sa.Integer(), nullable=True),
    sa.Column('title', sa.String(), nullable=True),
    sa.Column('description', sa.Text(), nullable=True),
    sa.Column('definition', sa.Text(), nullable=True),
    sa.Column('mid', sa.Integer(), nullable=True),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_forms_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['mid'], ['modules.id'], ),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_forms_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('actions',
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('mid', sa.Integer(), nullable=True),
    sa.Column('name', sa.String(), nullable=False),
    sa.Column('url', sa.String(), nullable=False),
    sa.Column('icon', sa.String(), nullable=False),
    sa.Column('description', sa.Text(), nullable=False),
    sa.Column('bundle', sa.Boolean(), nullable=False),
    sa.Column('display', sa.String(), nullable=False),
    sa.Column('permission', sa.String(), nullable=False),
    sa.ForeignKeyConstraint(['mid'], ['modules.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('nm_project_organisation',
    sa.Column('pid', sa.Integer(), nullable=True),
    sa.Column('oid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['oid'], ['organisations.id'], ),
    sa.ForeignKeyConstraint(['pid'], ['projects.id'], )
    )
    op.create_table('nm_user_roles',
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('rid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['rid'], ['roles.id'], ),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], )
    )
    op.create_table('resultindicators',
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('participant_id', sa.Integer(), nullable=True),
    sa.Column('status_end_measure', sa.Integer(), nullable=True),
    sa.Column('new_job_search', sa.Integer(), nullable=True),
    sa.Column('school_job_education', sa.Integer(), nullable=True),
    sa.Column('new_qualification', sa.Integer(), nullable=True),
    sa.Column('new_job_or_self_employed', sa.Integer(), nullable=True),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_resultindicators_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['id'], ['participations.id'], ),
    sa.ForeignKeyConstraint(['participant_id'], ['participants.id'], ),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_resultindicators_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('participant_id'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('baustein_cms',
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_baustein_cms_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['id'], ['participations.id'], ),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_baustein_cms_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('baustein_mps',
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_baustein_mps_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['id'], ['participations.id'], ),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_baustein_mps_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('nm_action_roles',
    sa.Column('aid', sa.Integer(), nullable=True),
    sa.Column('rid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['aid'], ['actions.id'], ),
    sa.ForeignKeyConstraint(['rid'], ['roles.id'], )
    )
    op.create_table('outputindicators',
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('participant_id', sa.Integer(), nullable=True),
    sa.Column('edu_attainment', sa.Integer(), nullable=True),
    sa.Column('lm_employment_status', sa.Integer(), nullable=True),
    sa.Column('lm_education_training', sa.Integer(), nullable=True),
    sa.Column('lm_employment_type', sa.Integer(), nullable=True),
    sa.Column('lm_longtermunemployed', sa.Integer(), nullable=True),
    sa.Column('hh_jobless', sa.Integer(), nullable=True),
    sa.Column('hh_dependentchildren', sa.Integer(), nullable=True),
    sa.Column('hh_singleparent', sa.Integer(), nullable=True),
    sa.Column('da_homeless', sa.Integer(), nullable=True),
    sa.Column('da_rural_area', sa.Integer(), nullable=True),
    sa.Column('da_disabled', sa.Integer(), nullable=True),
    sa.Column('da_other_disadvantage', sa.Integer(), nullable=True),
    sa.Column('da_migrant', sa.Integer(), nullable=True),
    sa.Column('da_foreign_background', sa.Integer(), nullable=True),
    sa.Column('da_minority', sa.Integer(), nullable=True),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.Column('status', sa.Integer(), nullable=True),
    sa.Column('edu_attainment_school', sa.Integer(), nullable=True),
    sa.Column('edu_attainment_vocational', sa.Integer(), nullable=True),
    sa.Column('lm_employment_category_employed', sa.Integer(), nullable=True),
    sa.Column('lm_employment_category_underemployed', sa.Integer(), nullable=True),
    sa.Column('lm_employment_category_selfemployed', sa.Integer(), nullable=True),
    sa.Column('lm_employment_category_education_enterprise', sa.Integer(), nullable=True),
    sa.Column('lm_employment_category_inactive', sa.Integer(), nullable=True),
    sa.Column('lm_employment_category_education_school', sa.Integer(), nullable=True),
    sa.Column('lm_employment_category_school', sa.Integer(), nullable=True),
    sa.Column('lm_employment_category_fulltime_student', sa.Integer(), nullable=True),
    sa.Column('lm_employment_category_training', sa.Integer(), nullable=True),
    sa.Column('lm_employment_category_unemployed', sa.Integer(), nullable=True),
    sa.Column('lm_employment_category_unemployement_type', sa.Integer(), nullable=True),
    sa.Column('lm_employment_category_lookingforwork', sa.Integer(), nullable=True),
    sa.Column('lm_employment_supportpurchased', sa.String(), nullable=True),
    sa.Column('hh_employed', sa.Integer(), nullable=True),
    sa.Column('hh_singleparent_depended', sa.Integer(), nullable=True),
    sa.Column('hh_community', sa.Integer(), nullable=True),
    sa.Column('da_refugee', sa.Integer(), nullable=True),
    sa.Column('da_refugee_months', sa.Integer(), nullable=True),
    sa.Column('da_resident', sa.Integer(), nullable=True),
    sa.Column('misc_further_participation', sa.Integer(), nullable=True),
    sa.Column('misc_birthcountry_germany', sa.Integer(), nullable=True),
    sa.Column('misc_birthcountry_parent_germany', sa.Integer(), nullable=True),
    sa.Column('misc_german_nationality', sa.Integer(), nullable=True),
    sa.Column('misc_other_nationality', sa.String(), nullable=False),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_outputindicators_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['id'], ['participations.id'], ),
    sa.ForeignKeyConstraint(['participant_id'], ['participants.id'], ),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_outputindicators_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('participant_id'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('baustein_jsas',
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_baustein_jsas_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['id'], ['participations.id'], ),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_baustein_jsas_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('baustein_clearings',
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_baustein_clearings_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['id'], ['participations.id'], ),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_baustein_clearings_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uuid')
    )
    op.create_table('journals',
    sa.Column('uuid', sa.CHAR(length=32), nullable=False),
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('date', sa.Date(), nullable=True),
    sa.Column('duration', sa.Interval(), nullable=False),
    sa.Column('description', sa.String(), nullable=True),
    sa.Column('editor', sa.String(), nullable=True),
    sa.Column('participation_id', sa.Integer(), nullable=True),
    sa.Column('uid', sa.Integer(), nullable=True),
    sa.Column('gid', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['gid'], ['usergroups.id'], name='fk_journals_gid_usergroups', use_alter=True),
    sa.ForeignKeyConstraint(['participation_id'], ['participations.id'], ),
    sa.ForeignKeyConstraint(['uid'], ['users.id'], name='fk_journals_uid_users', use_alter=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('uuid')
    )

    iter_statements(INSERTS)

    op.create_foreign_key('fk_baustein_clearings_gid_usergroups', 'baustein_clearings', 'usergroups', ['gid'], ['id'])
    op.create_foreign_key('fk_baustein_clearings_uid_users', 'baustein_clearings', 'users', ['uid'], ['id'])
    op.create_foreign_key('fk_baustein_cms_uid_users', 'baustein_cms', 'users', ['uid'], ['id'])
    op.create_foreign_key('fk_baustein_cms_gid_usergroups', 'baustein_cms', 'usergroups', ['gid'], ['id'])
    op.create_foreign_key('fk_baustein_jsas_uid_users', 'baustein_jsas', 'users', ['uid'], ['id'])
    op.create_foreign_key('fk_baustein_jsas_gid_usergroups', 'baustein_jsas', 'usergroups', ['gid'], ['id'])
    op.create_foreign_key('fk_baustein_mps_uid_users', 'baustein_mps', 'users', ['uid'], ['id'])
    op.create_foreign_key('fk_baustein_mps_gid_usergroups', 'baustein_mps', 'usergroups', ['gid'], ['id'])
    op.create_foreign_key('fk_beneficiarys_uid_users', 'beneficiarys', 'users', ['uid'], ['id'])
    op.create_foreign_key('fk_beneficiarys_gid_usergroups', 'beneficiarys', 'usergroups', ['gid'], ['id'])
    op.create_foreign_key('fk_contacts_gid_usergroups', 'contacts', 'usergroups', ['gid'], ['id'])
    op.create_foreign_key('fk_contacts_uid_users', 'contacts', 'users', ['uid'], ['id'])
    op.create_foreign_key('fk_forms_uid_users', 'forms', 'users', ['uid'], ['id'])
    op.create_foreign_key('fk_forms_gid_usergroups', 'forms', 'usergroups', ['gid'], ['id'])
    op.create_foreign_key('fk_journals_gid_usergroups', 'journals', 'usergroups', ['gid'], ['id'])
    op.create_foreign_key('fk_journals_uid_users', 'journals', 'users', ['uid'], ['id'])
    op.create_foreign_key('fk_operations_uid_users', 'operations', 'users', ['uid'], ['id'])
    op.create_foreign_key('fk_operations_gid_usergroups', 'operations', 'usergroups', ['gid'], ['id'])
    op.create_foreign_key('fk_organisations_gid_usergroups', 'organisations', 'usergroups', ['gid'], ['id'])
    op.create_foreign_key('fk_organisations_uid_users', 'organisations', 'users', ['uid'], ['id'])
    op.create_foreign_key('fk_outputindicators_uid_users', 'outputindicators', 'users', ['uid'], ['id'])
    op.create_foreign_key('fk_outputindicators_gid_usergroups', 'outputindicators', 'usergroups', ['gid'], ['id'])
    op.create_foreign_key('fk_participants_gid_usergroups', 'participants', 'usergroups', ['gid'], ['id'])
    op.create_foreign_key('fk_participants_uid_users', 'participants', 'users', ['uid'], ['id'])
    op.create_foreign_key('fk_participations_gid_usergroups', 'participations', 'usergroups', ['gid'], ['id'])
    op.create_foreign_key('fk_participations_uid_users', 'participations', 'users', ['uid'], ['id'])
    op.create_foreign_key('fk_profiles_uid_users', 'profiles', 'users', ['uid'], ['id'])
    op.create_foreign_key('fk_profiles_gid_usergroups', 'profiles', 'usergroups', ['gid'], ['id'])
    op.create_foreign_key('fk_projects_uid_users', 'projects', 'users', ['uid'], ['id'])
    op.create_foreign_key('fk_projects_gid_usergroups', 'projects', 'usergroups', ['gid'], ['id'])
    op.create_foreign_key('fk_resultindicators_uid_users', 'resultindicators', 'users', ['uid'], ['id'])
    op.create_foreign_key('fk_resultindicators_gid_usergroups', 'resultindicators', 'usergroups', ['gid'], ['id'])
    op.create_foreign_key('fk_roles_uid_users', 'roles', 'users', ['uid'], ['id'])
    op.create_foreign_key('fk_roles_gid_usergroups', 'roles', 'usergroups', ['gid'], ['id'])
    op.create_foreign_key('fk_usergroups_uid_users', 'usergroups', 'users', ['uid'], ['id'])
    op.create_foreign_key('fk_usergroups_gid_usergroups', 'usergroups', 'usergroups', ['gid'], ['id'])
    op.create_foreign_key('fk_users_uid_users', 'users', 'users', ['uid'], ['id'])
    op.create_foreign_key('fk_users_gid_usergroups', 'users', 'usergroups', ['gid'], ['id'])

    ### end Alembic commands ###


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('journals')
    op.drop_table('baustein_clearings')
    op.drop_table('baustein_jsas')
    op.drop_table('outputindicators')
    op.drop_table('nm_action_roles')
    op.drop_table('baustein_mps')
    op.drop_table('baustein_cms')
    op.drop_table('resultindicators')
    op.drop_table('nm_user_roles')
    op.drop_table('nm_project_organisation')
    op.drop_table('actions')
    op.drop_table('forms')
    op.drop_table('nm_organisation_user')
    op.drop_table('participations')
    op.drop_table('nm_organisation_contacts')
    op.drop_table('participant_search_counter')
    op.drop_table('password_reset_requests')
    op.drop_table('nm_user_usergroups')
    op.drop_table('nm_beneficiary_contacts')
    op.drop_table('organisations')
    op.drop_table('modules')
    op.drop_table('users')
    op.drop_table('nm_participant_versions')
    op.drop_table('projects')
    op.drop_table('beneficiarys')
    op.drop_table('roles')
    op.drop_table('versions')
    op.drop_table('profiles')
    op.drop_table('usergroups')
    op.drop_table('participants')
    op.drop_table('user_settings')
    op.drop_table('operations')
    op.drop_table('contacts')
    ### end Alembic commands ###
    iter_statements(DELETES)
