#!/usr/bin/env python
# encoding: utf-8

from efa.scripts.admin import (
    setup_parser as setup_efa_parser
)

from waskiq.scripts.formvalidate import (
    add_validate_parser
)


def setup_parser():
    parser, subparsers, global_arguments = setup_efa_parser()
    add_validate_parser(subparsers, global_arguments)
    return parser, subparsers, global_arguments


def main():
    parser, _, _ = setup_parser()
    args = parser["root"].parse_args()
    args.func(args)


if __name__ == '__main__':
    main()
