# -*- coding: utf8 -*-

from pyramid.view import view_config
from euhu.programs.waskiq import validate
from waskiq.model.participation import WaskiqParticipation as Participation

from ringo_bmasreport.reports.durchfuehrungsbericht import (
    filters, recipe, evaluate
)
from ringo_bmasreport.views import durchfuehrungsbericht as evaluate_view
from waskiq.model.participant import indicators, derive_indicators


@view_config(route_name='report_durchfuehrungsbericht',
             renderer='/durchfuehrungsbericht.mako')
def create_participation_report(request):
    result = evaluate_view(request, "waskiq", Participation, evaluate, recipe,
                           validate, derive_indicators, indicators, filters)
    return result
